// -----------------------------------------------------------------
//


function onLoad() {

var d=new Date();

var month = d.getMonth()+1;
if (month<10)
	month = "0"+month;

var day = d.getDate();
if (day<10)
	day = "0"+day;

var hours = d.getHours();
if (hours<10)
	hours = "0"+hours;

var minutes = d.getMinutes();
if (minutes<10)
	minutes = "0"+minutes;
	
var seconds = d.getSeconds();
if (seconds<10)
	seconds = "0"+seconds;
	
var dateNow1 = d.getFullYear()+"/"+month+"/"+day+" "+hours+":"+minutes+":"+seconds;
var dateNow2 = d.getFullYear()+"/"+month+"/"+day;


	initContact();	
	document.getElementById('calendar').value = dateNow1;
	document.getElementById('calendar2').value = dateNow2;
	get();
	
}


function refresh() {

	if(get())
		feedback("Timer list refreshed.", true);      
	else
		feedback("No valid date selected! List not refreshed!", false);
 
}


function get()
{

	var url;

	if (document.getElementById('showAll').checked == true)
		url = "/events/timer/";
	else
		var url = "/events/timer/"+document.getElementById("calendar2").value;

	try {
		var xhr = httpGET(url);
		var lbox = document.getElementById("queue");	

		// -- see xhr.js
		setLBContents(lbox, xhr.responseXML);
		return true;
	} catch (e) {
		return false;
	}
}

// -----------------------------------------------------------------
//
function post()
{

	var power = "1";

	if (document.getElementById('powerOFF').checked == true)
		power = "0";

	var date = document.getElementById("calendar").value;

	var day = date.substring(0,10);
	var time = date.substring(11);

	// time muoto on 00:00:00
	var evt = "<event topic='/action' time='"+time+"'>";
	evt += "<action>put /zones/Home/Bathroom/Sauna?power="+power+"</action>";
	evt += "</event>";
	
	try {

		// ekan parametrin muoto on    /events/timer/2008/01/01
		var xhr = httpPOST("/events/timer/"+day, evt);
		
		if (xhr.responseText=="<respCode>200</respCode>") {
			if (power=="1")
				feedback("Added a new timer: "+date+" --> "+"Set sauna ON", true);
			else
				feedback("Added a new timer: "+date+" --> "+"Set sauna OFF", true);  
		} else
			feedback("Invalid date and time! Timer was not added.", false);

		get();

	} catch (e) {
		feedback("DMC service not on! Timer was not added!", false); 	
	}	


}

// -----------------------------------------------------------------
//
function del()
{

	var lbox = document.getElementById("queue");

	if (lbox.selectedIndex!=-1) {
		var value = lbox.options[lbox.selectedIndex].value;
		var xhr = httpDELETE(value);
		feedback("Deleted timer: "+lbox.options[lbox.selectedIndex].text, true);  
	} else
		feedback("No valid timer selected. No timer was deleted.", false);  

	if (!get())
		feedback("DMC service not on! No timer was deleted!", false);
	
}


function updateDateSelect() {

	if (document.getElementById('showAll').checked == false) {
		document.getElementById('calendar2').disabled = false;
		document.getElementById('calendar2').style.backgroundColor = "#FFFFFF";
		document.getElementById('trigger2').disabled = false;
	} else {
		document.getElementById('calendar2').disabled = true;
		document.getElementById('calendar2').style.backgroundColor = "#ECE9D8";
		document.getElementById('trigger2').disabled = true;
	}

}


function feedback(text, good) {

	if (good) {
		document.getElementById("feedback").style.color = "green";
		document.getElementById("feedback").innerHTML = "INFO: "+text;
	} else {
		document.getElementById("feedback").style.color = "red";
		document.getElementById("feedback").innerHTML = "ERROR: "+text;
	}
	

}



// --------------------- borders for text type inputs ------------------------------ //
function attachBorderAndSelect(id){
  var obj0 = document.getElementById(id);
  obj0.onfocus= function() {this.style.border="2px solid #f00"; }
  obj0.onblur = function() {
                  this.style.border="2px inset #ccc"
                  if (this.value=="") {this.value=this.defaultValue}
                  this.value=this.value
                }
}
// ----------------------------------------------------------------------------- //



// -------------------------- borders for radio and checkboxes ------------------------- //
function attachBorderToRadio(id){
  var obj0 = document.getElementById(id)
  obj0.onfocus= function() {this.style.border="2px solid #f00"}
  obj0.onblur = function() {this.style.border="2px solid #fff7dd"}
}
// ----------------------------------------------------------------------------- //



// ------------------------------ border for submit buttons --------------------------- //
function attachBorderToButton(id){
  var obj0 = document.getElementById(id)
  obj0.onfocus= function() {this.style.border="2px solid #f00"}
  obj0.onblur = function() {this.style.border="2px outset #fff"}
}
// ----------------------------------------------------------------------------- //




// example contact form
function initContact(){

  if (!document.getElementsByTagName) return

// text type inputs
 attachBorderAndSelect('calendar');
 attachBorderAndSelect('calendar2');

// textfield
 attachBorderAndSelect('queue');

// radio buttons defined individually
// though it does not appear to work except in IE
 attachBorderToRadio('powerON');
 attachBorderToRadio('powerOFF');

// checkbox
// this does not appear to work except in IE
 attachBorderToRadio('showAll');


}
