var isIE = false;


// ------------------------------------------------------------------------
//
function httpGET(url)		{ return request("GET", url, null); 	}
function httpPUT(url)		{ return request("PUT", url, null); 	}
function httpPOST(url, content)	{ return request("POST", url, content); }
function httpDELETE(url)	{ return request("DELETE", url, null); 	}


// ------------------------------------------------------------------------
//
function request(method, url, content)
{
   var req = createXHR();
   if (req)
   {
      req.open(method, url, false);
      if (content == null)
      {
         if (isIE)  req.send();
         else	    req.send(null);
      }
      else          req.send(content);
   }
   return req;
}

// ------------------------------------------------------------------------
//
function createXHR()
{
   var _req = false;
   if (window.XMLHttpRequest)
      try { _req = new XMLHttpRequest(); }
      catch(ex) { _req = false; }
   else if (window.ActiveXObject) {
      try { _req = new ActiveXObject("Msxml2.XMLHTTP"); isIE = true; }
      catch(ex) {
      try { _req = new ActiveXObject("Microsoft.XMLHTTP"); isIE = true; }
      catch(ex) { _req= false; }
      }
   }
   return _req;
}

// -----------------------------------------------------------------
//
function setLBContents(listbox, xml)
{
  listbox.options.length = 0;

  // -- IE7
  if (window.ActiveXObject)
  {
    var actions = xml.selectNodes("//action");
    for (var i=0; i<actions.length; i++)
    {
      var action = actions[i];
      var href = action.getAttribute("href");
      var time = action.getAttribute("time");
      var cmd = action.firstChild.nodeValue;

      var text = href + " " + time + " - " + cmd;
      var val = href + "?" + time;
      listbox.options[i] = new Option(text, val);
    }
  }

  // -- FF
  else
  {
    var actions = xml.evaluate("//action", xml, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE, null);
    for (var i=0; i<actions.snapshotLength; i++)
    {
      var action = actions.snapshotItem(i);
      var href = action.getAttribute("href");
      var time = action.getAttribute("time");
      var cmd = action.textContent;

	  var year = href.substring(14,18);
	  var month = href.substring(19,21);
	  var day = href.substring(22,24);
	  
	  var temp = cmd.indexOf("?power=");
	  var power = cmd.substring(temp+7, temp+8);
	  
	  var powerText = "ON";
	  
	  if (power=="0")
		powerText = "OFF";
	  
      var text = year + "/" + month + "/" + day + "  " + time + " --> Set sauna " + powerText;
      var val = href + "?" + time;
      listbox.options[i] = new Option(text, val);
    }
  }
}
